A commons image should have an edit tab going directly to the Commons page
Closed, ResolvedPublic

Assigned To
TTO
Priority
Normal
Author
Amire80
Subscribers
Kosikfl, gpaumier, Amire80 and 7 others
Projects
Tokens
"Like" token, awarded by Kozuch."Like" token, awarded by Nemo_bis.
Security
None
Reference
bz26525
Description

A friend of mine found a significant factual mistake in an image description and wanted to correct it. Knowing that i frequently edit Wikipedia he called me. I told him to click the edit button and change it himself, but he couldn't find the edit button - only a "create" button.

Nowadays on Wikimedia projects, when a user clicks an image that is hosted on Commons, the page that is opened is a virtual page, local to that project. It doesn't actually exist - it just shows the image. It's possible to "create" it; but correct me if i'm wrong, but it seems completely pointless to me.

It's quite confusing to the user who wants to change its description - it would make more sense if there would be an "edit" tab, not a "create" tab. To edit the description the user needs to know what "Commons" is and to find the link to the file description on Commons (which is quite different in different projects).


Version: unspecified
Severity: enhancement

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz26525.
Amire80 created this task.Via LegacyDec 31 2010, 1:30 PM
Kozuch added a comment.Via ConduitJan 1 2011, 6:27 PM

I too think current solution has a serious usability flaw. We should either directly link to Commons or at least change the "create" link do a direct Commons "edit" link.

Bawolff added a comment.Via ConduitJan 1 2011, 9:20 PM

Changing component to images

Bawolff added a comment.Via ConduitJan 1 2011, 9:22 PM

I think this should be available as config option for the $wgForeignFileRepos array. We should still allow people to create the local page by handcrafting a url, but no need to have the edit link link to the local page.

Platonides added a comment.Via ConduitJan 1 2011, 10:31 PM

Changing summary. We don't want to take the users out of their wiki on viewing a image page.

Amire80 added a comment.Via ConduitJan 2 2011, 10:59 AM

(In reply to comment #4)

Changing summary. We don't want to take the users out of their wiki on viewing
a image page.

What's so bad about it, actually? Commons is Wikimedia's image repository and the global account makes the "home wiki" concept transparent.

Nikerabbit added a comment.Via ConduitJan 2 2011, 11:20 AM

(In reply to comment #5)

What's so bad about it, actually? Commons is Wikimedia's image repository and
the global account makes the "home wiki" concept transparent.

Only in WMF, and not there always either.

Kozuch added a comment.Via ConduitJan 2 2011, 3:05 PM

I see nothing bad in taking users out of their home wiki. What is your point for not doing that??? For instance we loose Commons categories on home wikies...

Platonides added a comment.Via ConduitJan 3 2011, 5:42 PM

They should still be able to go back to the previous article using search, or the sidebar...

Amire80 added a comment.Via ConduitJan 3 2011, 5:45 PM

(In reply to comment #8)

They should still be able to go back to the previous article using search, or
the sidebar...

To go back to the article people use the browser's back button, not search.

And i don't see how it is important to keep that pointless virtual page just for the sidebar.

Platonides added a comment.Via ConduitJan 3 2011, 6:31 PM

To go back to the article people use the browser's back button, not search.

I suspect that statement is as true as the one saying that to visit a given domain you don't need to perform a google search.

Amire80 added a comment.Via ConduitJan 3 2011, 6:44 PM

(In reply to comment #10)

> To go back to the article people use the browser's back button, not search.

I suspect that statement is as true as the one saying that to visit a given
domain you don't need to perform a google search.

*I* got online before Google, and i still have the old-fashioned habit of typing URLs. But i know many people who only know one URL - www.google.com. But they do use the back button.

But hey, maybe i am wrong. Any usability specialists or testers around here?..

Krinkle added a comment.Via ConduitJan 3 2011, 7:16 PM

There are plenty of reasons to to link the image directly to Commons:

  1. If I have a private wiki and use InstantCommons, my visitors should see the description page in our language without having to go to Commons.
  2. If a wiki has a local page also with information (for example the "badimage" and "featured image" templates on en.wikipedia even for images that are hosted on Commons)
  3. Too many users create content on Commons that doens't belong there already (ie. writing news articles for Wikinews or encyclopedic content meant for Wikipedia). Although there are other causes and parts to this particular problem, taking users to it without them knowing (aside from a different logo and some minor details) is a bade idea imho.

Clicking [edit] in the headings already takes the user directly to Commons.

An Edit tab in the main navigation could be handy in cases, but what about case 2) above ?

Bawolff added a comment.Via ConduitJan 5 2011, 11:56 AM

(In reply to comment #12)
[..]

  1. If a wiki has a local page also with information (for example the "badimage" and "featured image" templates on en.wikipedia even for images that are hosted on Commons)

[...]

An Edit tab in the main navigation could be handy in cases, but what about case

  1. above ?

I think the edit link should only link to commons if the local page does not exist. If the local page exists, then the edit link should be to the local one.

To address 3 (from the edit link point of view. I strongly feel we should still keep people on the local wiki for the page view of the image), we could do something like make the link have the editintro=from_foreign_wiki parameter, so commons could have a note about you're not at home anymore.

Krinkle added a comment.Via ConduitJan 5 2011, 2:13 PM

(In reply to comment #13)

(In reply to comment #12)
[..]
> 2) If a wiki has a local page also with information (for example the "badimage"
> and "featured image" templates on en.wikipedia even for images that are hosted
> on Commons)
[...]
> An Edit tab in the main navigation could be handy in cases, but what about case
> 2) above ?

I think the edit link should only link to commons if the local page does not
exist. If the local page exists, then the edit link should be to the local one.

Then how would one create a "case 2" page on en.wikipedia without a Create tab ?

Bawolff added a comment.Via ConduitJan 5 2011, 5:47 PM

I was thinking via a red link or manually by constructing a url with ?action=edit. Presumably only advanced users would want to create such pages, so the interface doesn't have to be as obvious (imho).

Krinkle added a comment.Via ConduitJan 6 2011, 3:18 AM

(In reply to comment #15)

I was thinking via a red link

Pagelinks to files ([[:File:Example.svg]]) are not red when there is no local page. And thus dont point to ?action=edit&redlink=1

or manually by constructing a url with
?action=edit. Presumably only advanced users would want to create such pages,
so the interface doesn't have to be as obvious (imho).

I think think could be an acceptable solution :)

TTO added a comment.Via ConduitDec 29 2013, 9:39 AM

While not precisely what this bug is about, you may be interested in Gerrit change 104182, which adds an additional [View on Wikimedia Commons] view tab to foreign files.

Bawolff added a comment.Via ConduitMay 22 2014, 6:45 PM

So the edit tabs have changed (Now with a "View on commons" tab), we should re-evaluate if there are still usability issues here.

Amir: Do you still think its confusing?

Nemo_bis added a comment.Via ConduitMay 22 2014, 6:54 PM

(In reply to Bawolff (Brian Wolff) from comment #18)

So the edit tabs have changed (Now with a "View on commons" tab), we should
re-evaluate if there are still usability issues here.

Amir: Do you still think its confusing?

There is no longer an "edit" button or shortcut even. https://kr.wikiquote.org/wiki/File:Commons-logo.svg
If that was done in core, I think it's enough to call this FIXED or WORKSFORME.

Gilles added a project: Multimedia.Via WebNov 24 2014, 3:29 PM
Nemo_bis awarded a token.Via WebDec 12 2014, 8:02 AM
Kozuch awarded a token.Via WebDec 17 2014, 8:04 PM
Umherirrender closed this task as "Resolved".Via WebDec 30 2014, 6:33 PM
Umherirrender claimed this task.

Fixed by the view tab from I4a43b759b7a7e9ac2c8d437408847bf3b6c1f4a9 - https://gerrit.wikimedia.org/r/#/c/104182/

Umherirrender reassigned this task from Umherirrender to TTO.Via WebJan 3 2015, 2:21 PM
Umherirrender set Security to None.

Add Comment